import React from "react";
import { FormElement } from "../formElement";
export declare type File = {
    name: string;
    data: Blob;
} | {
    name: null;
    data: null;
};
export declare type FileInputProps = FormElement<File | string> & {
    buttonType?: "primary" | "secondary" | "tertiary";
    buttonColor?: "amber" | "blue" | "cyan" | "emerald" | "fuchsia" | "gray" | "green" | "indigo" | "lightBlue" | "lime" | "orange" | "pink" | "purple" | "red" | "rose" | "teal" | "violet" | "yellow";
};
export declare const FileInput: React.FunctionComponent<FileInputProps>;
